Get mapping definitions
- GET /{index}/_mapping/field/{fields}
- GET /_mapping/field/{fields}
Retrieves mapping definitions for one or more fields. For data streams, the API retrieves field mappings for the stream’s backing indices.
This API is useful if you don't need a complete mapping or if an index mapping contains a large number of fields.
- Index privileges:
view_index_metadata
Path Parameters
-
indexIndexName | IndexNameoptional -
Comma-separated list of data streams, indices, and aliases used to limit the request. Supports wildcards (
*). To target all data streams and indices, omit this parameter or use*or_all.Leave it out to use
/_mapping/field/{fields}. -
fieldsField | Fieldrequired -
Comma-separated list or wildcard expression of fields used to limit returned information. Supports wildcards (
*).
Query Parameters
-
allow_no_indicesboolean · default: true If
false, the request returns an error if any wildcard expression, index alias, or_allvalue targets only missing or closed indices. This behavior applies even if the request targets other open indices.-
expand_wildcardsstring ExpandWildcards · default: open Type of index that wildcard patterns can match. If the request can target data streams, this argument determines whether wildcard expressions match hidden data streams. Supports comma-separated values, such as
open,hidden.Supported values include:
all: Match any data stream or index, including hidden ones.open: Match open, non-hidden indices. Also matches any non-hidden data stream.closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.hidden: Match hidden data streams and hidden indices. Must be combined withopen,closed, orboth.none: Wildcard expressions are not accepted.
-
Values:
allopenclosedhiddennone If
false, the request returns an error if it targets a missing or closed index.-
include_defaultsboolean · default: false If
true, return all default settings in the response.-
localboolean · default: false If
true, the request retrieves information from the local node only.
Response
Response Type: map string to TypeFieldMappings